Subject: bug#5395: cc-mode raises on typing '>' in #include

From: Alan Mackenzie <[email-masked]>
Date: Mon, 18 Jan 2010 20:03:47 +0000

Hello, Yidong and Daniel,

On Mon, Jan 18, 2010 at 12:00:17PM -0500, Chong Yidong wrote:
> > Check out latest Emacs BZR.
> > Start with -Q
> > Visit an [empty] .cpp file
> > Type #include <foo>

> > After typing the closing '>', an error is raised. Here is the traceback

> Actually, I get an error as soon as I type #.

> Alan, I think this is due to your 2009-12-03 changes to the
> c-parse-state mechanism.  Could you take a look?

I feel the error is caused by the bug in

    Subject: (insert ?\n) spuriously calls before-change-functions twice.

which I reported on 2010-01-05 and have since fixed.  I haven't yet been
able to commit the fix due to not yet understanding bzr well enough.
Soon!

-- 
Alan Mackenzie (Nuremberg, Germany).